Confirmation
You can list your available confirmations with the following URL:
GET https://api.smallinvoice.com/confirmation/list/
URL Parameters
| Name | Type | Required | Default | Options | Notes |
|---|---|---|---|---|---|
| limit | int | no | 0 | Limit the amount of results | |
| page | int | no | 1 | When limiting the results, specifies page | |
| sort | string | no | date | date due number | Sorts the list by the available values |
| sorttype | string | no | desc | asc desc | Defines the way of sorting |
Example: Making a request with 100 Results, getting second page, and sorting by date ascending
GET https://api.smallinvoice.com/confirmation/list/limit/100/page/2/sort/date/sorttype/asc/
Response
| Name | Type | Notes |
|---|---|---|
| error | boolean | Is true if an error occured |
| errorcode | int | Code of the error. Only returned if error is true. |
| errormessage | string | Informational message about the error. Only returned if error is true. |
| page | int | Current page that was passed in on the request |
| pages | int | Total number of pages available |
| count | int | Total number of objects available |
| items | collection | Collection of confirmation Objects |
Example content of data variable:
{
"error":false,
"page":1,
"pages":1,
"count":2,
"items":[
{
"id":77,
"number":10000,
"client_id":16,
"client_name":"John Doe",
"client_address_id":11,
"client_contact_id":0,
"currency":"CHF",
"title":"Rechnung Nr. {1} \/ Kunden Nr. {2}",
"period":"",
"date":"2013-02-25",
"due":"2013-03-27",
"account_id":0,
"esr":0,
"esr_number":"",
"esr_position":0,
"lsvplus":0,
"dd":0,
"discount":0,
"discount_type":0,
"conditions":"",
"introduction":"",
"language":"de",
"paypal":0,
"paypal_url":"",
"vat_included":0,
"totalamount":0,
"status":7,
"pages":1,
"positions":[
{
"type":1,
"number":null,
"name":"Service Y",
"description":"Cleaning house",
"cost":0,
"unit":1,
"amount":1,
"vat":8,
"discount":null
},
{
"type":2,
"number":null,
"name":"Product X",
"description":"Repairing car",
"cost":0,
"unit":7,
"amount":1,
"vat":8,
"discount":null
}
]
}
]
}
You can get your confirmation with the following URL:
GET https://api.smallinvoice.com/confirmation/get/
URL Parameters
| Name | Type | Required | Default | Options | Notes |
|---|---|---|---|---|---|
| id | int | yes | The Id of the confirmation |
Example: Making a request for confirmation with id 5
GET https://api.smallinvoice.com/confirmation/get/id/5
Response
| Name | Type | Notes |
|---|---|---|
| error | boolean | Is true if an error occured |
| errorcode | int | Code of the error. Only returned if error is true. |
| errormessage | string | Informational message about the error. Only returned if error is true. |
| item | object | Object of confirmation |
Example content of data variable:
{
"error":false,
"item":{
"id":77,
"number":10000,
"client_id":16,
"client_name":"Jane Doe",
"client_address_id":11,
"client_contact_id":0,
"currency":"CHF",
"title":"Rechnung Nr. {1} \/ Kunden Nr. {2}",
"period":"",
"date":"2013-02-25",
"due":"2013-03-27",
"account_id":0,
"esr":0,
"esr_number":"",
"esr_position":0,
"lsvplus":0,
"dd":0,
"discount":0,
"discount_type":0,
"conditions":"",
"introduction":"",
"language":"de",
"paypal":0,
"paypal_url":"",
"vat_included":0,
"totalamount":0,
"status":7,
"pages":1,
"positions":[
{
"type":1,
"number":null,
"name":"Service Y",
"description":"Cleaning house",
"cost":0,
"unit":1,
"amount":1,
"vat":8,
"discount":null
},
{
"type":2,
"number":null,
"name":"Product X",
"description":"Repairing car",
"cost":0,
"unit":7,
"amount":1,
"vat":8,
"discount":null
}
]
}
}
You can get your confirmation as pdf with the following URL:
GET https://api.smallinvoice.com/confirmation/pdf/
URL Parameters
| Name | Type | Required | Default | Options | Notes |
|---|---|---|---|---|---|
| id | int | yes | The Id of the confirmation |
Example: Making a request for confirmation with id 5
GET https://api.smallinvoice.com/confirmation/pdf/id/5
Response
| Name | Type | Notes |
|---|---|---|
| HTTP Body | application/pdf | The PDF in raw format |
You can get a confirmation preview in PNG form for each page of a document with the following URL:
GET https://api.smallinvoice.com/confirmation/preview/
URL Parameters
| Name | Type | Required | Default | Options | Notes |
|---|---|---|---|---|---|
| id | int | yes | The Id of the confirmation | ||
| page | int | no | 1 | The page you want to retreive | |
| size | int | no | 595 | 240 595 600 972 1240 | The size in pixels |
Example: Getting second page in size 1240 for confirmation with id 5
GET https://api.smallinvoice.com/confirmation/preview/id/5/page/2/size/1240
Response
| Name | Type | Notes |
|---|---|---|
| HTTP Body | image/png | The image in raw format |
You can add a new confirmation with the following URL:
POST https://api.smallinvoice.com/confirmation/add
Body parameters
| Name | Type | Required | Default | Notes |
|---|---|---|---|---|
| number | string | no | next higher number | Your confirmation number |
| client_id | int | yes | Client's id | |
| client_address_id | int | yes | Client's address id | |
| client_contact_id | int | no | 0 | Client's contact id |
| currency | string | yes | Three-letter currency code | |
| title | string | no | Title of the confirmation | |
| date | date | yes | Date of confirmation | |
| introduction | string | no | Introduction text printed above positions | |
| conditions | string | no | Text printed below positions | |
| language | string | yes | Two-letter language code | |
| vat_included | int | no | 0 | If VAT is included in positions' prices |
| positions | collection | yes | Collection of Position Objects |
Example: Creating a new confirmation
POST https://api.smallinvoice.com/confirmation/add/
Example content of data variable:
{
"number":10000,
"client_id":16,
"client_name":"John Doe",
"client_address_id":11,
"client_contact_id":0,
"currency":"CHF",
"title":"Rechnung Nr. {1} \/ Kunden Nr. {2}",
"period":"",
"date":"2013-02-25",
"due":"2013-03-27",
"account_id":0,
"esr":0,
"esr_number":"",
"esr_position":0,
"lsvplus":0,
"dd":0,
"discount":0,
"discount_type":0,
"conditions":"",
"introduction":"",
"language":"de",
"paypal":0,
"vat_included":0,
"positions":[
{
"type":2,
"number":null,
"name":"Product X",
"description":"Repairing car",
"cost":0,
"unit":1,
"amount":1,
"vat":8,
"discount":null
},
{
"type":1,
"number":null,
"name":"Service Y",
"description":"Cleaning house",
"cost":0,
"unit":7,
"amount":1,
"vat":8,
"discount":null
}
]
}
Response
| Name | Type | Notes |
|---|---|---|
| error | boolean | Is true if an error occured |
| errorcode | int | Code of the error. Only returned if error is true. |
| errormessage | string | Informational message about the error. Only returned if error is true. |
| id | int | The Id of the confirmation Object that was created |
Example response:
{
"error":false,
"id": 43
}
You can edit an confirmation with the following URL:
POST https://api.smallinvoice.com/confirmation/edit
URL Parameters
| Name | Type | Required | Default | Options | Notes |
|---|---|---|---|---|---|
| id | int | yes | The Id of the confirmation |
Body parameters
| Name | Type | Notes |
|---|---|---|
| number | string | Your confirmation number |
| client_id | int | Client's id |
| client_address_id | int | Client's address id |
| client_contact_id | int | Client's contact id |
| currency | string | Three-letter currency code |
| title | string | Title of the confirmation |
| date | date | Date of confirmation |
| introduction | string | Introduction text printed above positions |
| conditions | string | Text printed below positions |
| language | string | Two-letter language code |
| vat_included | int | If VAT is included in positions' prices |
| positions | collection | Collection of Position Objects |
Example: Editing an confirmation with id 5
POST https://api.smallinvoice.com/confirmation/edit/id/5
Example content of data variable:
{
"number":10000,
"client_id":16,
"client_name":"Jane Doe",
"client_address_id":11,
"client_contact_id":0,
"currency":"CHF",
"title":"Rechnung Nr. {1} \/ Kunden Nr. {2}",
"period":"",
"date":"2013-02-25",
"due":"2013-03-27",
"account_id":0,
"esr":0,
"esr_number":"",
"esr_position":0,
"lsvplus":0,
"dd":0,
"discount":0,
"discount_type":0,
"conditions":"",
"introduction":"",
"language":"de",
"paypal":0,
"vat_included":0,
}
Response
| Name | Type | Notes |
|---|---|---|
| error | boolean | Is true if an error occured |
| errorcode | int | Code of the error. Only returned if error is true. |
| errormessage | string | Informational message about the error. Only returned if error is true. |
Example response:
{
"error":false
}
You can delete an confirmation with the following URL:
POST https://api.smallinvoice.com/confirmation/delete/
URL Parameters
| Name | Type | Required | Default | Options | Notes |
|---|---|---|---|---|---|
| id | int | yes | The Id of the confirmation |
Example: Making a request for deleting confirmation with id 5
POST https://api.smallinvoice.com/confirmation/delete/id/5
Response
| Name | Type | Notes |
|---|---|---|
| error | boolean | Is true if an error occured |
| errorcode | int | Code of the error. Only returned if error is true. |
| errormessage | string | Informational message about the error. Only returned if error is true. |
Example response:
{
"error":false
}
You can email your confirmation with the following URL:
POST https://api.smallinvoice.com/confirmation/email
URL Parameters
| Name | Type | Required | Default | Options | Notes |
|---|---|---|---|---|---|
| id | int | yes | The Id of the confirmation |
Body parameters
| Name | Type | Required | Default | Notes |
|---|---|---|---|---|
| subject | string | Yes | Subject of email | |
| body | string | Yes | Content of the email | |
| afterstatus | int | No | The status the document should take after sending | |
| recipients | collection | Yes | List of recipients. See example |
Example: Sending an confirmation with id 5 via email
POST https://api.smallinvoice.com/confirmation/email/id/5
Example content of data variable
{
"subject" : "Email subject",
"body" : "Email body",
"afterstatus" : 1,
"recipients" : [
{
"cc" : false,
"email" : "email@domain.com",
"name" : "Client Name"
}
]
}
Response
| Name | Type | Notes |
|---|---|---|
| error | boolean | Is true if an error occured |
| errorcode | int | Code of the error. Only returned if error is true. |
| errormessage | string | Informational message about the error. Only returned if error is true. |
Example response:
{
"error":false
}
You can send your confirmation via postmail with the following URL:
POST https://api.smallinvoice.com/confirmation/post
URL Parameters
| Name | Type | Required | Default | Options | Notes |
|---|---|---|---|---|---|
| id | int | yes | The Id of the confirmation |
Body parameters
| Name | Type | Required | Default | Notes |
|---|---|---|---|---|
| speed | int | Yes | 1 = Priority / 2 = Economy | |
| color | int | No | 0 | 0 = B/W / 1 = Color |
| sendstatus | int | No | The status the document should be sent in | |
| afterstatus | int | No | The status the document should take after sending |
Example: Sending an confirmation with id 5 via postmail
POST https://api.smallinvoice.com/confirmation/post/id/5
Example content of data variable
{
"afterstatus" : 1,
"sendstatus" : 1,
"speed" : 1
}
Response
| Name | Type | Notes |
|---|---|---|
| error | boolean | Is true if an error occured |
| errorcode | int | Code of the error. Only returned if error is true. |
| errormessage | string | Informational message about the error. Only returned if error is true. |
Example response:
{
"error":false
}
You can change status of your confirmation with the following URL:
POST https://api.smallinvoice.com/confirmation/status/
URL Parameters
| Name | Type | Required | Default | Options | Notes |
|---|---|---|---|---|---|
| id | int | yes | The Id of the confirmation |
Body parameters
| Name | Type | Required | Default | Notes |
|---|---|---|---|---|
| status | int | Yes | See Status Types |
Example: Making a request for confirmation with id 5
POST https://api.smallinvoice.com/confirmation/status/id/5
Example content of data variable
{
"status" : 1
}
Response
| Name | Type | Notes |
|---|---|---|
| error | boolean | Is true if an error occured |
| errorcode | int | Code of the error. Only returned if error is true. |
| errormessage | string | Informational message about the error. Only returned if error is true. |
Example response:
{
"error":false
}
